#### Description:

When any sub-class of Stc is created, the constructor function allows one or more AstroCoords elements to be stored within the Stc. This function allows any one of these AstroCoords elements to be retrieved. The format of the returned information is the same as that used to pass the original information to the Stc constructor. That is, the information is returned in a KeyMap structure containing elements with one or more of the keys given by symbolic constants AST__STCNAME, AST__STCVALUE, AST__STCERROR, AST__STCRES, AST__STCSIZE and AST__STCPIXSZ.

If the coordinate system represented by the Stc has been changed since it was created (for instance, by changing its System attribute), then the sizes and positions in the returned KeyMap will reflect the change in coordinate system.

#### Synopsis

AstKeyMap ∗astGetStcCoord( AstStc ∗this, int icoord )

#### Parameters:

##### this

Pointer to the Stc.

##### icoord

The index of the AstroCoords element required. The first has index one. The number of AstroCoords elements in the Stc can be found using function astGetStcNcoord.

#### Returned Value

##### astGetStcCoord()

A pointer to a new KeyMap containing the required information.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory